<div class="row">
  <nb-card class="col-md-6 col-sm-12">
    <nb-card-header>
      Add Package
    </nb-card-header>
    <nb-card-body>
      
      <nb-form-field >
        <label class="label"> Name:</label>
        <input type="text"  nbInput fullWidth placeholder="Name" [(ngModel)]="package.name">
      </nb-form-field>
  
      <nb-form-field>
        <label class="label"> Price:</label>
        <input type="text" nbInput fullWidth placeholder="Price" [(ngModel)]="package.price">
      </nb-form-field>
  
      <nb-form-field>
        <label class="label"> Link:</label>
        <input type="text" nbInput fullWidth placeholder="Link" [(ngModel)]="package.link">
      </nb-form-field>
  
      <nb-form-field>
        <label class="label"> Description:</label>
        <textarea rows="5" nbInput fullWidth shape="round"  placeholder="Description"  [(ngModel)]="package.description"></textarea>
      </nb-form-field>
  
      <nb-form-field>
        <label class="label"> Upload Photo:</label>
        <input #myInput type="file" nbInput (change)="onSelectFile($event)" />
      </nb-form-field>
  
      <button type="submit" *ngIf="!editFlag" class="btnSave" nbButton status="primary" (click)="addPackage()" style="color: black;">Save</button>
      <button type="submit" *ngIf="editFlag" class="btnSave" nbButton status="primary" (click)="updatePackage()" style="color: black;">Update</button>
  
    </nb-card-body>
  </nb-card>
</div>


<nb-card>
  <nb-card-header>
    Packages
  </nb-card-header>
  <nb-card-body>
    <ng2-smart-table [settings]="settings"  [source]="source" (custom)="onCustom($event)"></ng2-smart-table>
  </nb-card-body>
</nb-card>

